> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Once authenticated, how long does the Auth token have left before it expires.



## OpenAPI

````yaml /openapi.json get /api/v1/AccessToken/TokenDetails
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/AccessToken/TokenDetails:
    get:
      tags:
        - AccessToken
      summary: >-
        Once authenticated, how long does the Auth token have left before it
        expires.
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````